#ifndef INC_GLYPH_H
#define INC_GLYPH_H

struct Coord;

enum COLOUR {
    BLACK,
    GREY,
    RED,
    GREEN,
    BROWN,
    BLUE,
    MAGENTA,
    CYAN,

    DARKGREY,
    WHITE,
    B_RED,
    B_GREEN,
    YELLOW,
    B_BLUE,
    B_MAGENTA,
    B_CYAN
};

struct Glyph {
    char ch;
    int col;
    bool reverse;

    Glyph(char ch=' ', int col=GREY, bool reverse=false) : ch(ch), col(col), reverse(reverse) {}
};

int attrOfCol(int col, bool reverse=false);
void drawGlyph(const Coord& c, Glyph g);

#endif /* INC_GLYPH_H */
